#ifndef SYSPRO_PC_H
#define SYSPRO_PC_H

#include "petscpc.h"

/* variations on Petsc PCs */
#define PCRASM "rasm"
#define PCSILU "silu"
/* hypre */
#define PCBOOMERAMG "boomeramg"
#define PCEUCLID "euclid"
#define PCPARASAILS "parasails"
#define PCPILUT "pilut"
/* direct solvers */
#define PCMUMPS "mumps"
#define PCSPOOLES "spooles"
#define PCSUPERLU "superlu"
#define PCUMFPACK "umfpack"
/* stuff */
#define PCBS95 "bs95"

extern PetscErrorCode SetPetscOptionsForPC(PC pc,PCType pct0, int pcv,int pcvv);
extern PetscErrorCode set_preconditioner_base_matrix(PCType,Mat,Mat*);
extern PetscErrorCode set_pc_options(PCType pct, int pcv,int pcvv);
extern PetscErrorCode pc_short_string(KSPType,int,int,char**);

#endif
